Bug 627370 - Patchelf fails to "make check" on ppc/ppc64/sparc/arm
Summary: Patchelf fails to "make check" on ppc/ppc64/sparc/arm
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: patchelf
Version: 23
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Sanders
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ARM F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2010-08-25 20:28 UTC by Jeremy Sanders
Modified: 2016-12-20 12:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:03:07 UTC


Attachments (Terms of Use)

Description Jeremy Sanders 2010-08-25 20:28:31 UTC
The %check section of patchelf runs "make check" which fails on ppc/ppc64 platforms. See http://mail.cs.uu.nl/pipermail/nix-dev/2010-August/005058.html

These platforms are currently excluded in the build until this problem is fixed. Upstream is looking into this.

Comment 1 Jeremy Sanders 2011-04-08 21:37:58 UTC
make check also appears to fail for sparcv6/sparc64:

Package: patchelf-0.5-7.fc15
Tag: dist-f15
Status: failed
Built by: ausil
ID: 27832
Started: Fri, 08 Apr 2011 20:23:34 UTC
Finished: Fri, 08 Apr 2011 20:32:43 UTC


patchelf-0.5-7.fc15 (27832) failed on daedalus.ausil.us (noarch), korolev.ausil.us (sparc64), korolev.ausil.us (sparc):
  BuildError: error building package (arch sparc64), mock exited with status 1; see build.log for more information
Failed tasks:
-------------

Task 107249 on daedalus.ausil.us
Task Type: build (dist-f15, patchelf-0.5-7.fc15.src.rpm)

Task 110630 on korolev.ausil.us
Task Type: buildArch (patchelf-0.5-7.fc15.src.rpm, sparc64)
logs:
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110630&name=build.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110630&name=mock_output.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110630&name=root.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110630&name=state.log

Task 110631 on korolev.ausil.us
Task Type: buildArch (patchelf-0.5-7.fc15.src.rpm, sparcv9)
logs:
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110631&name=build.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110631&name=mock_output.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110631&name=root.log
  http://sparc.koji.fedoraproject.org/koji/getfile?taskID=110631&name=state.log



Task Info: http://sparc.koji.fedoraproject.org/koji/taskinfo?taskID=107249
Build Info: http://sparc.koji.fedoraproject.org/koji/buildinfo?buildID=27832

Comment 2 Fedora End Of Life 2013-04-03 18:39:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Jeremy Sanders 2013-08-08 07:48:18 UTC
Self tests fail with rawhide on arm, too.  Reported upstream.
 https://github.com/NixOS/patchelf/issues/8
Excluding this architecture.

Comment 4 Jan Kurik 2015-07-15 15:18:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Fedora End Of Life 2016-11-24 10:27:59 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2016-12-20 12:03:07 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.